 DEFINE PAGE3, SPACE=ROM
 SEGMENT PAGE3

 extern defenitionpg1
 extern defenitionpg2
 extern defenitionpg4
 extern equationspg
 public defenitionpg3
 
 include "ti83plus.inc"
 include "Zstats-JumpTable.inc"

EXT_APP equ 1   ;This definition is required of all apps
cseg            ;This linker directive is required of all apps.

defenitionpg3:
  ld a,(curCol)
  inc a
fndef:
  cp 81
  jp P,part9
  cp 81
  jp z,part9
  cp 71
  jp z,def71
  cp 72
  jp z,def72
  cp 73
  jp z,def73
  cp 74
  jp z,def74
  cp 75
  jp z,def75
  cp 76
  jp z,def76
  cp 77
  jp z,def77
  cp 78
  jp z,def78
  cp 79
  jp z,def79
  cp 80
  jp z,def80
def71:
  ld a,2
  ld (promptRow),a
  ld HL,deft71
  jp pgprimr
def72:
  ld a,2
  ld (promptRow),a
  ld HL,deft72
  jp pgprimr
def73:
  ld a,4
  ld (promptRow),a
  ld HL,deft73
  jp pgprimr
def74:
  ld a,1
  ld (promptRow),a
  ld HL,deft74
  jp pgprimr
def75:
  ld a,4
  ld (promptRow),a
  ld HL,deft75
  jp pgprimr
def76:
  ld a,2
  ld (promptRow),a
  ld HL,deft76
  jp pgprimr
def77:
  ld a,3
  ld (promptRow),a
  ld HL,deft77
  jp pgprimr
def78:
  ld a,2
  ld (promptRow),a
  ld HL,deft78
  jp pgprimr
def79:
  ld a,2
  ld (promptRow),a
  ld HL,deft79
  jp pgprimr
def80:
  ld a,2
  ld (promptRow),a
  ld HL,deft80
  jp pgprimr
deft71:
  db "One-sided Test",0
  db "A one-sided test is a",0
  db "statistical hypothesis test",0
  db "in which the values for",0
  db "which we can reject the",0
  db "null hypothesis, H0 are",0
  db "located entirely in one",0
  db "tail of the probability",0
  db "distribution.",0
  db "One-sided Test",0
  db "The critical region for a",0
  db "one-sided test is the set",0
  db "of values less than the",0
  db "critical value of the test,",0
  db "or the set of values",0
  db "greater than the critical",0
  db "value of the test.",0
  db 0
deft72:
  db "1-Way Variance",0
  db "The one way analysis of",0
  db "variance allows us to",0
  db "compare several groups of",0
  db "observations, all of which",0
  db "are independent but",0
  db "possibly with a different",0
  db "mean for each group. The",0
  db "observations all arise from",0
  db "1-Way Variance",0
  db "one of several different",0
  db "groups (or have been",0
  db "exposed to one of several",0
  db "different treatments in an",0
  db "experiment). We are",0
  db "classifying 'one-way'",0
  db "according to the group or",0
  db "treatment.",0
deft73:
  db "Ordinal Data",0
  db "A set of data is said to be",0
  db "ordinal if the values /",0
  db "observations belonging to",0
  db "it can be ranked (put in",0
  db "order) or have a rating",0
  db "scale attached. You can",0
  db "count and order, but not",0
  db "measure, ordinal data. The",0
  db "Ordinal Data",0
  db "categories for an ordinal",0
  db "set of data have a natural",0
  db "order for example, suppose",0
  db "a group of people were",0
  db "asked to taste varieties of",0
  db "biscuit and classify each",0
  db "biscuit on a rating scale",0
  db "of 1 to 5, representing 5",0
  db "Ordinal Data",0
  db "representing a strong",0
  db "liking. However, the",0
  db "distinction between",0
  db "neighboring points on the",0
  db "scale is not necessarily",0
  db "always the same. For",0
  db "instance, the difference in",0
  db "enjoyment expressed by",0
  db "Ordinal Data",0
  db "giving a rating of 2 rather",0
  db "than 1 might be much less",0
  db "than the difference in",0
  db "enjoyment expressed by",0
  db "giving a rating of 4 rather",0
  db "than 3.",0
  db 0
  db 0
deft74:
  db "Outcome",0
  db "An outcome is the result of",0
  db "an experiment or other",0
  db "situation involving",0
  db "uncertainty.The set of all",0
  db "possible outcomes of a",0
  db "probability experiment is",0
  db "called a sample space.",0
  db 0
deft75:
  db "Outlier",0
  db "An outlier is an",0
  db "observation in a data set",0
  db "which is far removed in",0
  db "value from the others in",0
  db "the data set. It is an",0
  db "unusually large or an",0
  db "unusually small value",0
  db "compared to the others. An",0
  db "Outlier",0
  db "outlier might be the result",0
  db "of an error in measurement,",0
  db "in which case it will",0
  db "distort the interpretation",0
  db "of the data, having undue",0
  db "influence on many summary",0
  db "statistics, for example,",0
  db "the mean. If an outlier is",0
  db "Outlier",0
  db "a genuine result, it is",0
  db "important because it might",0
  db "indicate an extreme of",0
  db "behaviour of the process",0
  db "under study. For this",0
  db "reason, all outliers must",0
  db "be examined carefully",0
  db "before embarking on any",0
  db "Outlier",0
  db "formal analysis. Outliers",0
  db "should not routinely be",0
  db "removed without further",0
  db "justification.",0
  db "An outlier is usualy",0
  db "considered to be a value",0
  db "more than 1.5 IQRs outside",0
  db "either quartile.",0
deft76:
  db "Paired Sample t-test",0
  db "A paired sample t-test is",0
  db "used to determine whether",0
  db "there is a significant",0
  db "difference between the",0
  db "average values of the same ",0
  db "measurement made under two",0
  db "different conditions. Both",0
  db "measurements are made on",0
  db "Paired Sample t-test",0
  db "each unit in a sample, and",0
  db "the test is based on the",0
  db "paired differences between",0
  db "these two values. The usual",0
  db "null hypothesis is that the",0
  db "difference in the mean",0
  db "values is zero.",0
  db 0
deft77:
  db "Parameter",0
  db "A parameter is a value,",0
  db "usually unknown (and which",0
  db "therefore has to be",0
  db "estimated), used to",0
  db "represent a certain",0
  db "population characteristic.",0
  db "For example, the population",0
  db "mean is a parameter that is",0
  db "Parameter",0
  db "often used to indicate the",0
  db "average value of a",0
  db "quantity. Within a",0
  db "population, a parameter is",0
  db "a fixed value which does",0
  db "not vary. Each sample drawn",0
  db "from the population has its",0
  db "own value of any statistic",0
  db "Parameter",0
  db "that is used to estimate",0
  db "this parameter.",0
  db 0
  db 0
  db 0
  db 0
  db 0
  db 0
deft78:
  db "Percentile",0
  db "Percentiles are values that",0
  db "divide a sample of data",0
  db "into one hundred groups",0
  db "containing (as far as",0
  db "possible) equal numbers of",0
  db "observations. For example,",0
  db "30 percent of the data",0
  db "values lie below the 30th",0
  db "Percentile",0
  db "percentile.",0
  db 0
  db 0
  db 0
  db 0
  db 0
  db 0
  db 0
deft79:
  db "Pie Chart",0
  db "A pie chart is a way of",0
  db "summarising a set of",0
  db "categorical data. It is a",0
  db "circle which is divided",0
  db "into segments. Each segment",0
  db "represents a particular",0
  db "category. The area of each",0
  db "segment is proportional to",0
  db "Pie Chart",0
  db "the number of cases in that",0
  db "category.",0
  db 0
  db 0
  db 0
  db 0
  db 0
  db 0
deft80:
  db "Placebo",0
  db "A placebo is an inactive",0
  db "treatment or procedure. It",0
  db "literally means 'I do",0
  db "nothing'. The 'placebo",0
  db "effect' (usually a positive",0
  db "or beneficial response) is",0
  db "attributable to the",0
  db "patient's expectation that",0
  db "Placebo",0
  db "the treatment will have an",0
  db "effect.",0
  db 0
  db 0
  db 0
  db 0
  db 0
  db 0
part9:
  cp 91
  jp P,part10
  cp 91
  jp z,part10
  cp 81
  jp z,def81
  cp 82
  jp z,def82
  cp 83
  jp z,def83
  cp 84
  jp z,def84
  cp 85
  jp z,def85
  cp 86
  jp z,def86
  cp 87
  jp z,def87
  cp 88
  jp z,def88
  cp 89
  jp z,def89
  cp 90
  jp z,def90
def81:
  ld a,4
  ld (promptRow),a
  ld HL,deft81
  jp pgprimr
def82:
  ld a,3
  ld (promptRow),a
  ld HL,deft82
  jp pgprimr
def83:
  ld a,2
  ld (promptRow),a
  ld HL,deft83
  jp pgprimr
def84:
  ld a,5
  ld (promptRow),a
  ld HL,deft84
  jp pgprimr
def85:
  ld a,2
  ld (promptRow),a
  ld HL,deft85
  jp pgprimr
def86:
  ld a,3
  ld (promptRow),a
  ld HL,deft86
  jp pgprimr
def87:
  ld a,5
  ld (promptRow),a
  ld HL,deft87
  jp pgprimr
def88:
  ld a,1
  ld (promptRow),a
  ld HL,deft88
  jp pgprimr
def89:
  ld a,3
  ld (promptRow),a
  ld HL,deft89
  jp pgprimr
def90:
  ld a,3
  ld (promptRow),a
  ld HL,deft90
  jp pgprimr
deft81:
  db "Population",0
  db "A population is any entire",0
  db "collection of people,",0
  db "animals, plants or things",0
  db "from which we may collect",0
  db "data. It is the entire",0
  db "group we are interested in,",0
  db "which we wish to describe",0
  db "or draw conclusions about.",0
  db "Population",0
  db "In order to make any",0
  db "generalizations about a",0
  db "population, a sample, that",0
  db "is meant to be",0
  db "representative of the",0
  db "population, is often",0
  db "studied. For each",0
  db "population there are many",0
  db "Population",0
  db "possible samples. A sample",0
  db "statistic gives information",0
  db "about a corresponding",0
  db "population parameter. It is",0
  db "important that the",0
  db "investigator carefully and",0
  db "completely defines the",0
  db "population before",0
  db "Population",0
  db "collecting the sample,",0
  db "including a description of",0
  db "the members to be included.",0
  db 0
  db 0
  db 0
  db 0
  db 0
deft82:
  db "Power",0
  db "The power of a statistical",0
  db "hypothesis test measures",0
  db "the test's ability to",0
  db "reject the null hypothesis",0
  db "when it is actually false -",0
  db "that is, to make a correct",0
  db "decision. In other words,",0
  db "the power of a hypothesis",0
  db "Power",0
  db "test is the probability of",0
  db "not committing a type II",0
  db "error. It is calculated by",0
  db "subtracting the probability",0
  db "of a type II error from 1.",0
  db "The maximum power a test",0
  db "can have is 1, the minimum",0
  db "is 0. Ideally we want a",0
  db "Power",0
  db "test to have high power,",0
  db "close to 1.",0
  db 0
  db 0
  db 0
  db 0
  db 0
  db 0
deft83:
  db "Precision",0
  db "Precision is a measure of",0
  db "how close an estimator is",0
  db "expected to be to the true",0
  db "value of a parameter.",0
  db "Precision is usually",0
  db "expressed in terms of",0
  db "imprecision and related to",0
  db "the standard error of the",0
  db "Precision",0
  db "estimator. Less precision",0
  db "is reflected by a larger",0
  db "standard error.",0
  db 0
  db 0
  db 0
  db 0
  db 0
deft84:
  db "Probability",0
  db "A probability provides a",0
  db "quantitative description of",0
  db "the likely occurrence of a",0
  db "particular event.",0
  db "Probability is",0
  db "conventionally expressed on",0
  db "a scale from 0 to 1, a rare",0
  db "event has a probability",0
  db "Probability",0
  db "close to 0, a very common",0
  db "event has a probability",0
  db "close to 1. The probability",0
  db "of an event has been",0
  db "defined as its long-run",0
  db "relative frequency. It has",0
  db "also been thought of as a",0
  db "personal degree of belief",0
  db "Probability",0
  db "that a particular event",0
  db "will occur (subjective",0
  db "probability). In some",0
  db "experiments, all outcomes",0
  db "are equally likely. For",0
  db "example if you were to",0
  db "choose one winner in a",0
  db "raffle from a hat, all",0
  db "Probability",0
  db "raffle ticket holders are",0
  db "equally likely to win, that",0
  db "is, they have the same",0
  db "probability of their ticket",0
  db "being chosen. This is the",0
  db "equally-likely outcomes",0
  db "model and is defined to be:",0
  db 0
  db "Probability",0
  db "P(E)=number of outcomes",0
  db "resulting in event /total",0
  db "number of outcomes",0
  db 0
  db 0
  db 0
  db 0
  db 0
deft85:
  db "P.D.F.",0
  db "The probability density",0
  db "function of a continuous",0
  db "random variable is a",0
  db "function which can be",0
  db "integrated to obtain the",0
  db "probability that the random",0
  db "variable takes a value in a",0
  db "given interval. More",0
  db "P.D.F.",0
  db "formally, the probability",0
  db "density function, F(x), of",0
  db "a continuous random",0
  db "variable X is the",0
  db "derivative of the",0
  db "cumulative distribution",0
  db "function F(x)=(d/dx)*F(x)",0
  db "(in calc. terms)",0
  db "P.D.F.",0
  db "in other words the height",0
  db "of the P.D.F at a give",0
  db "value is proportional to",0
  db "the probability such a",0
  db "vaule will occure.",0
  db "The Area under the P.D.F.",0
  db "made by the part of the"
  db "P.D.F to the left of a value",0
  db "P.D.F",0
  db "is euqal to the probability",0
  db "such a vaule will occure",0
  db 0
  db 0
  db 0
  db 0
  db 0
  db 0
deft86:
  db "Probability Distribution",0
  db "The probability",0
  db "distribution of a discrete",0
  db "random variable is a list",0
  db "of probabilities associated",0
  db "with each of its possible",0
  db "values. It is also",0
  db "sometimes called the",0
  db "probability function or the",0
  db "Probability Distribution",0
  db "probability mass",0
  db "function.More formally, the",0
  db "probability distribution of",0
  db "a discrete random variable",0
  db "X is a function which gives",0
  db "the probability p(xi) that",0
  db "the random variable equals",0
  db "xi, for each value xi:",0
  db "Probability Distribution",0
  db "p(xi) = P(X=xi)",0
  db "note that the area under",0
  db "this curve is always equal",0
  db "to one, because all",0
  db "possibilities are included",0
  db "in such a curve.",0
  db 0
  db 0
deft87:
  db "P-Value",0
  db "The probability value (p-",0
  db "value) of a statistical",0
  db "hypothesis test is the",0
  db "probability of getting a",0
  db "value of the test statistic",0
  db "as extreme as or more",0
  db "extreme than that observed",0
  db "by chance alone, if the",0
  db "P-Value",0
  db "null hypothesis H0, is",0
  db "true. It is the probability",0
  db "of wrongly rejecting the",0
  db "null hypothesis if it is in",0
  db "fact true. It is equal to",0
  db "the significance level of",0
  db "the test for which we would",0
  db "only just reject the null",0
  db "P-Value",0
  db "hypothesis. The p-value is",0
  db "compared with the actual",0
  db "significance level of our",0
  db "test and, if it is smaller,",0
  db "the result is significant.",0
  db "That is, if the null",0
  db "hypothesis were to be",0
  db "rejected at the 5 ",25h,0
  db "P-Value",0
  db "signficance level, this",0
  db "would be reported as 'p <",0
  db "0.05'. Small p-values",0
  db "suggest that the null",0
  db "hypothesis is unlikely to",0
  db "be true. The smaller it is,",0
  db "the more convincing is the",0
  db "rejection of the null",0
  db "P-Value",0
  db "hypothesis. It indicates",0
  db "the strength of evidence",0
  db "for say, rejecting the null",0
  db "hypothesis H0.",0
  db 0
  db 0
  db 0
  db 0
deft88:
  db "Quantile",0
  db "Quantiles are a set of 'cut",0
  db "points' that divide a",0
  db "sample of data into groups",0
  db "containing (as far as",0
  db "possible) equal numbers of",0
  db "observations.",0
  db 0
  db 0
deft89:
  db "Quartile",0
  db "Quartiles are values that",0
  db "divide a sample of data into",0
  db "four groups containing (as",0
  db "far as possible) equal",0
  db "numbers of observations. A",0
  db "data set has three",0
  db "quartiles. References to",0
  db "quartiles often relate to",0
  db "Quartile",0
  db "just the outer two, the",0
  db "upper and the lower",0
  db "quartiles, the second",0
  db "quartile being equal to the",0
  db "median. The lower quartile",0
  db "is the data value a quarter",0
  db "way up through the ordered",0
  db "data set. The upper quartile",0
  db "Quartile",0
  db "is the data value a quarter",0
  db "way down through the ordered",0
  db "data. Therefore, quartiles",0
  db "are like medians for the",0
  db "upper and lower halves of",0
  db "the ordered data.",0
  db 0
  db 0
deft90:
  db "Quota Sampling",0
  db "Quota sampling is a method",0
  db "of sampling widely used in",0
  db "opinion polling and market",0
  db "research. Interviewers are",0
  db "each given a quota of",0
  db "subjects of specified type",0
  db "to attempt to recruit for",0
  db "example, an interviewer",0
  db "Quota Sampling",0
  db "might be told to go out and",0
  db "select 20 adult men and 20",0
  db "adult women so that they",0
  db "could interview them about",0
  db "their television viewing.",0
  db "It suffers from a number of",0
  db "methodological flaws, the",0
  db "most basic of which is that",0
  db "Quota Sampling",0
  db "the sample is not a random",0
  db "sample and therefore the",0
  db "sampling distributions of",0
  db "any statistics are unknown.",0
  db 0
  db 0
  db 0
  db 0
part10:  
  cp 91
  jp z,def91
  cp 92
  jp z,def92
  cp 93
  jp z,def93
  cp 94
  jp z,def94
  cp 95
  jp z,def95
  cp 96
  jp z,def96
  cp 97
  jp z,def97
  cp 98
  jp z,def98
  cp 99
  jp z,def99
  cp 100
  jp z,def100
def91:
  ld a,2
  ld (promptRow),a
  ld HL,deft91
  jp pgprimr
def92:
  ld a,6
  ld (promptRow),a
  ld HL,deft92
  jp pgprimr
def93:
  ld a,4
  ld (promptRow),a
  ld HL,deft93
  jp pgprimr
def94:
  ld a,2
  ld (promptRow),a
  ld HL,deft94
  jp pgprimr
def95:
  ld a,2
  ld (promptRow),a
  ld HL,deft95
  jp pgprimr
def96:
  ld a,2
  ld (promptRow),a
  ld HL,deft96
  jp pgprimr
def97:
  ld a,3
  ld (promptRow),a
  ld HL,deft97
  jp pgprimr
def98:
  ld a,3
  ld (promptRow),a
  ld HL,deft98
  jp pgprimr
def99:
  ld a,2
  ld (promptRow),a
  ld HL,deft99
  jp pgprimr
def100:
  ld a,3
  ld (promptRow),a
  ld HL,deft100
  jp pgprimr
deft91:
  db "Random Sampling",0
  db "Random sampling is a",0
  db "sampling technique where we",0
  db "select a group of subjects",0
  db "(a sample) for study from a",0
  db "larger group (a",0
  db "population). Each",0
  db "individual is chosen",0
  db "entirely by chance and each",0
  db "Random Sampling",0
  db "member of the population",0
  db "has a known, but possibly",0
  db "non-equal, chance of being",0
  db "included in the sample. By",0
  db "using random sampling, the",0
  db "likelihood of bias is",0
  db "reduced.",0
  db 0
deft92:
  db "Random Variable",0
  db "The outcome of an",0
  db "experiment need not be a",0
  db "number, for example, the",0
  db "outcome when a coin is",0
  db "tossed can be 'heads' or",0
  db "'tails'. However, we often",0
  db "want to represent outcomes",0
  db "as numbers. A random",0
  db "Random Variable",0
  db "variable is a function that",0
  db "associates a unique",0
  db "numerical value with every",0
  db "outcome of an experiment.",0
  db "The value of the random",0
  db "variable will vary from",0
  db "trial to trial as the",0
  db "experiment is repeated.",0
  db "Random Variable",0
  db "There are two types of",0
  db "random variable - discrete",0
  db "and continuous. A random",0
  db "variable has either an",0
  db "associated probability",0
  db "distribution (discrete",0
  db "random variable) or",0
  db "probability density",0
  db "Random Variable",0
  db "function (continuous random",0
  db "variable).",0
  db 0
  db 0
  db 0
  db 0
  db 0
  db 0
  db "Random Variable",0
  db "Examples:",0
  db "A coin is tossed ten times.",0
  db "The random variable X is",0
  db "the number of tails that",0
  db "are noted. X can only take",0
  db "the values 0, 1, ..., 10,",0
  db "so X is a discrete random",0
  db "variable.",0
  db "Random Variable",0
  db "A light bulb is burned",0
  db "until it burns out. The",0
  db "random variable Y is its",0
  db "lifetime in hours. Y can",0
  db "take any positive real",0
  db "value, so Y is a continuous",0
  db "random variable.",0
  db 0
deft93:
  db "Randomization",0
  db "Randomization is the",0
  db "process by which",0
  db "experimental units (the",0
  db "basic objects upon which",0
  db "the study or experiment is",0
  db "carried out) are allocated",0
  db "to treatments, that is, by",0
  db "a random process and not by",0
  db "Randomization",0
  db "any subjective and hence",0
  db "possibly biased approach.",0
  db "The treatments should be",0
  db "allocated to units in such",0
  db "a way that each treatment",0
  db "is equally likely to be",0
  db "applied to each unit.",0
  db "Randomization is preferred",0
  db "Randomization",0
  db "since alternatives may lead",0
  db "to biased results. The main",0
  db "point is that randomization",0
  db "tends to produce groups for",0
  db "study that are comparable",0
  db "in unknown as well as known",0
  db "factors likely to influence",0
  db "the outcome, apart from the",0
  db "Randomization",0
  db "actual treatment under",0
  db "study. The analysis of",0
  db "variance F tests assume",0
  db "that treatments have been",0
  db "applied randomly.",0
  db 0
  db 0
  db 0
deft94:
  db "Randomized Block Design",0
  db "The randomized complete",0
  db "block design is a design in",0
  db "which the subjects are",0
  db "matched according to a",0
  db "variable which the",0
  db "experimenter wishes to",0
  db "control. The subjects are",0
  db "put into groups (blocks) of",0
  db "Randomized Block Design",0
  db "the same size as the number",0
  db "of treatments. The members",0
  db "of each block are then",0
  db "randomly assigned to",0
  db "different treatment groups.",0
  db 0
  db 0
  db 0
deft95:
  db "Range",0
  db "The range of a sample (or a",0
  db "data set) is a measure of",0
  db "the spread or the",0
  db "dispersion of the",0
  db "observations. It is the",0
  db "difference between the",0
  db "largest and the smallest",0
  db "observed value of some",0
  db "Range",0
  db "quantitative characteristic",0
  db "and is very easy to",0
  db "calculate.",0
  db 0
  db 0
  db 0
  db 0
  db 0
deft96:
  db "Regression Equation",0
  db "A regression equation",0
  db "allows us to express the",0
  db "relationship between two",0
  db "(or more) variables",0
  db "algebraically. It indicates",0
  db "the nature of the",0
  db "relationship between two",0
  db "(or more) variables. In",0
  db "Regression Equation",0
  db "particular, it indicates",0
  db "the extent to which you can",0
  db "predict some variables by",0
  db "knowing others, or the",0
  db "extent to which some are",0
  db "associated with others.",0
  db 0
  db 0
deft97:
  db "Regression Line",0
  db "A regression line is a line",0
  db "drawn through the points on",0
  db "a scatter plot to summarize",0
  db "the relationship between",0
  db "the variables being",0
  db "studied. When it slopes",0
  db "down (from top left to",0
  db "bottom right), this",0
  db "Regression Line",0
  db "indicates a negative or",0
  db "inverse relationship",0
  db "between the variables? when",0
  db "it slopes up (from bottom",0
  db "right to top left), a",0
  db "positive or direct",0
  db "relationship is indicated.",0
  db "The regression line often",0
  db "Regression Line",0
  db "represents the regression",0
  db "equation on a scatter plot.",0
  db 0
  db 0
  db 0
  db 0
  db 0
  db 0
deft98:
  db "Relative Frequency",0
  db "Relative frequency is",0
  db "another term for",0
  db "proportion. it is the value",0
  db "calculated by dividing the",0
  db "number of times an event",0
  db "occurs by the total number",0
  db "of times an experiment is",0
  db "carried out. The",0
  db "Relative Frequency",0
  db "probability of an event can",0
  db "be thought of as its long",0
  db "run relative frequency when",0
  db "the experiment is carried",0
  db "out many times. If an",0
  db "experiment is repeated",0
  db "many, many times without",0
  db "changing the experimental",0
  db "Relative Frequency",0
  db "conditions, the relative",0
  db "frequency of any particular",0
  db "event will settle down to",0
  db "some value. The probability",0
  db "of the event can be defined",0
  db "as the limiting value of",0
  db "the relative frequency.",0
  db 0
deft99:
  db "Residual",0
  db "Residual (or error)",0
  db "represents unexplained (or",0
  db "residual) variation after",0
  db "fitting a regression model.",0
  db "It is the difference (or",0
  db "left over) between the",0
  db "observed value of the",0
  db "variable and the value",0
  db "Residual",0
  db "suggested by the regression",0
  db "model.",0
  db 0
  db 0
  db 0
  db 0
  db 0
  db 0
deft100:
  db "Sample",0
  db "A sample is a group of",0
  db "units selected from a",0
  db "larger group (the",0
  db "population). By studying",0
  db "the sample it is hoped to",0
  db "draw valid conclusions",0
  db "about the larger group. A",0
  db "sample is generally",0
  db "Sample",0
  db "selected for study because",0
  db "the population is too large",0
  db "to study in its entirety.",0
  db "The sample should be",0
  db "representative of the",0
  db "general population. This is",0
  db "often best achieved by",0
  db "random sampling. Also,",0
  db "Sample",0
  db "before collecting the",0
  db "sample, it is important",0
  db "that the researcher",0
  db "carefully and completely",0
  db "defines the population,",0
  db "including a description of",0
  db "the members to be included.",0
  db 0

pgprimr:               ;For displaying definitions after 'turning' a page
  ld a,(promptCol)
  ld (curRow),a
;======================================================
;loop for finding the correct page for the definition
;======================================================
findapg:
  ld a,(curRow)
  cp 1
  jp z,defdisp
  ld a,-7
pgloop:
  add a,7
  PUSH AF
  PUSH DE
  PUSH IX
VPutS91:
  LD A,(HL)
  INC HL
  OR A
  JR Z, VputS92
  JR NC, VPutS91
VputS92:
  POP IX
  POP DE
  POP AF
  cp 56
  jp nz,pgloop
  ld a,(curRow)
  add a,-1
  ld (curRow),a
  jr findapg
;=========================================================
;Loop for displaying a definition after the page is found  
;=========================================================
defdisp:
  ld b,0
  ld a,-7
disp2:
  add a,7
  ld (penRow),a
  ld b,a
  ld a,0
  ld (penCol),a
  ld a,b
  PUSH AF
  PUSH DE
  PUSH IX
VPutS1:
  LD A,(HL)
  INC HL
  OR A
  JR Z, VputS2
  B_CALL VPutMap
  JR NC, VPutS1
VputS2:
  POP IX
  POP DE
  POP AF
  cp 56
  jp nz,disp2
  ld a,0
  ld (penRow),a
  ld a,74
  ld (penCol),a
  ld a,(promptCol)
  add a,80h
  B_CALL VPutMap
  ld a,79
  ld (penCol),a
  ld a,'/'
  B_CALL VPutMap
  ld a,83
  ld (penCol),a
  ld a,(promptRow)
  add a,80h
  B_CALL VPutMap
  push de
  push hl
  ld h,0
  ld l,0
  ld d,6
  ld e,88
  B_CALL InvertRect
  pop hl
  pop de
  jp txtnput
;==================================================
txtnput:
  B_CALL GetKey
  cp kEnter
  jp z,finish  
  cp kDown
  jp z,downdef
  cp kUp
  jp z,updef
  jp txtnput
;===================================================
downdef:
  B_CALL ClrLCDFull
  ld a,(promptRow)
  ld b,a
  ld a,(promptCol)
  cp b
  jr z,drespg
  add a,1
  ld (promptCol),a
  jp defenitionpg3

updef
  B_CALL ClrLCDFull
  ld a,(promptCol)
  cp 1
  jr z,urespg
  add a,-1
  ld (promptCol),a
  jp defenitionpg3
    
urespg:
  ld a,(promptRow)
  ld (promptCol),a
  jp defenitionpg3

drespg:
  ld a,1
  ld (promptCol),a
  jp defenitionpg3
    
finish:
  B_CALL ClrLCDFull
  ret
