 DEFINE PAGE1, SPACE=ROM
 SEGMENT PAGE1

 extern defenitionpg2
 extern defenitionpg3
 extern defenitionpg4
 extern equationspg
 public defenitionpg1

 include "ti83plus.inc"
 include "Zstats-JumpTable.inc"

EXT_APP equ 1   ;This definition is required of all apps
cseg            ;This linker directive is required of all apps.

defenitionpg1:
  ld a,(curCol)
  inc a
fndef:
  cp 11
  jp P,part2
  cp 185
  jp z,history
  cp 186
  jp z,info
  cp 11
  jp z,part2
  cp 1
  jp z,def1
  cp 2
  jp z,def2
  cp 3
  jp z,def3
  cp 4
  jp z,def4
  cp 5
  jp z,def5
  cp 6
  jp z,def6
  cp 7
  jp z,def7
  cp 8
  jp z,def8
  cp 9
  jp z,def9
  cp 10
  jp z,def10
history:
  ld a,1
  ld (promptRow),a
  ld HL,hist
  jp pgprimr
info:
  ld a,1
  ld (promptRow),a
  ld HL,nfo
  jp pgprimr
def1:
  ld a,1
  ld (promptRow),a
  ld HL,deft1
  jp pgprimr
def2:
  ld a,2
  ld (promptRow),a
  ld HL,deft2
  jp pgprimr
def3:
  ld a,3
  ld (promptRow),a
  ld HL,deft3
  jp pgprimr
def4:
  ld a,1
  ld (promptRow),a
  ld HL,deft4
  jp pgprimr
def5:
  ld a,2
  ld (promptRow),a
  ld HL,deft5
  jp pgprimr
def6:
  ld a,4
  ld (promptRow),a
  ld HL,deft6
  jp pgprimr
def7:
  ld a,4
  ld (promptRow),a
  ld HL,deft7
  jp pgprimr
def8:
  ld a,2
  ld (promptRow),a
  ld HL,deft8
  jp pgprimr
def9:
  ld a,3
  ld (promptRow),a
  ld HL,deft9
  jp pgprimr
def10:
  ld a,2
  ld (promptRow),a
  ld HL,deft10
  jp pgprimr
deft1: 
 db "Addition Rule",0
 db "The addition rule is a result",0
 db "used to determine the",0
 db "probability that event A or",0
 db "event B occurs or both occur.",0
 db 0
 db 0
 db 0
 db 0 
nfo:
  db "      Information",0
  db "   Math is fun!",0
  db "Hurrican High School",0
  db "AP Stats Class 2003",0
  db 0
  db "E-mail:",0
  db "rleonar5@mix.wvu.edu",0
  db 0
  db 0
hist:
  db " History",0
  db "this program is based off",0
  db "BOBstats v5",0
  db 0
  db "-Version .1f",0
  db "-Finished cloned code",0
  db "-added signature",0
  db 0
  db 0
deft2:
  db "Alt. Hyp.",0
  db "The alternative hypothesis,",0
  db "H1, is a statement of what",0
  db "a statistical hypothesis",0
  db "test is set up to",0
  db "establish.  The final",0
  db "conclusion once the test",0
  db "has been carried out is",0
  db "always given in terms of",0
  db "Alt. Hyp.",0
  db "the null hypothesis. If we",0
  db "conclude Do not reject",0
  db "H0, this does not",0
  db "necessarily mean that the",0
  db "null hypothesis is true, it",0
  db "only suggests that there is",0
  db "not sufficient evidence",0
  db "against H0 in favour of H1.",0
deft3:
  db "Bar Chart",0
  db "A bar chart is a way of",0
  db "summarising a set of",0
  db "categorical data. It is",0
  db "often used in exploratory",0
  db "data analysis to illustrate",0
  db "the major features of the",0
  db "distribution of the data in",0
  db "a convenient form. It",0
  db "Bar Chart",0
  db "displays the data using a",0
  db "number of rectangles, of",0
  db "the same width, each of",0
  db "which represents a",0
  db "particular category. The",0
  db "length (and hence area) of",0
  db "each rectangle is",0
  db "proportional to the number",0
  db "Bar Chart",0
  db "of cases in the category it",0
  db "represents.  Bar charts are",0
  db "usually drawn with a gap",0
  db "between the bars",0
  db "(rectangles), whereas the",0
  db "bars of a histogram are",0
  db "drawn immediately next to",0
  db "each other.",0
deft4:
  db "Bayes' Theorem",0
  db "Bayes' Theorum is a result",0
  db "that allows new information",0
  db "to be used to update the",0
  db "conditional probability of",0
  db "an event.",0
  db 0
  db 0
  db 0
deft5:
  db "Bias",0
  db "Bias is a term which refers",0
  db "to how far the average",0
  db "statistic lies from the",0
  db "parameter it is estimating,",0
  db "that is, the error which",0
  db "arises when estimating a",0
  db "quantity. Errors from",0
  db "chance will cancel each",0
  db "Bias",0
  db "other out in the long run,",0
  db "those from bias will not.",0
  db 0
  db 0
  db 0
  db 0
  db 0
  db 0
deft6:
  db "Binomial Distribution",0
  db "Binomial distributions model",0
  db "(some) discrete random",0
  db "variables. Typically, a",0
  db "binomial random variable is",0
  db "the number of successes in a",0
  db "series of trials, for",0
  db "example, the number of",0
  db "'heads' occurring when a",0
  db "Binomial Distribution",0
  db "coin is tossed 50 times.",0
  db "The trials must meet the",0
  db "following requirements:",0
  db "a. the total number of",0
  db "trials is fixed in advance.",0
  db "b. there are just two",0
  db "outcomes of each trial ",0
  db "success or failure ",0
  db "Binomial Distribution",0
  db "The outcomes of all the",0
  db "trials are statistically",0
  db "independent",0
  db "All the trials have the",0
  db "same probability of success.",0
  db 0
  db 0
  db 0
deft7:
  db "Blinding",0
  db "In a medical experiment,",0
  db "the comparison of",0
  db "treatments may be distorted",0
  db "if the patient, the person",0
  db "administering the treatment",0
  db "and those evaluating it",0
  db "know which treatment is",0
  db "being allocated. It is",0
  db "Blinding",0
  db "therefore it is necessary to",0
  db "ensure that the patient",0
  db "and/or the person",0
  db "administering the treatment",0
  db "and/or the trial evaluators",0
  db "are 'blind to' (don't know)",0
  db "which treatment is",0
  db "allocated to whom.",0
  db "Blinding",0
  db "Sometimes the experimental",0
  db "set-up of a clinical trial",0
  db "is referred to as double-",0
  db "blind, that is, neither the",0
  db "patient nor those treating",0
  db "and evaluating their",0
  db "condition are aware (they",0
  db "are 'blind' as to) which",0
  db "Blinding",0
  db "treatment a particular",0
  db "patient is allocated. A",0
  db "double-blind study is the",0
  db "most scientifically",0
  db "acceptable option.",0
  db 0
  db 0
  db 0
deft8:
  db "Blocking",0
  db "Is the procedure by",0
  db "which experimental units",0
  db "are grouped into",0
  db "homogeneous clusters in an",0
  db "attempt to improve the",0
  db "comparison of treatments by",0
  db "randomly allocating the",0
  db "treatments within each",0
  db "Blocking",0
  db "cluster or 'block'.",0
  db 0
  db 0
  db 0
  db 0
  db 0
  db 0
  db 0
deft9:
  db "Boxplot",0
  db "A box and whisker plot is a",0
  db "way of summarising a set of",0
  db "data measured on an",0
  db "interval scale. It is often",0
  db "used in exploratory data",0
  db "analysis. It is a type of",0
  db "graph which is used to show",0
  db "the shape of the",0
  db "Boxplot",0
  db "distribution, its central",0
  db "value, and variability. The",0
  db "picture produced consists",0
  db "of the most extreme values",0
  db "in the data set (maximum",0
  db "and minimum values), the",0
  db "lower and upper quartiles,",0
  db "and the median. A box plot"
  db "Boxplot",0
  db "(as it is often called) is",0
  db "especially helpful for",0
  db "indicating whether a",0
  db "distribution is skewed and",0
  db "whether there are any",0
  db "unusual observations",0
  db "(outliers) in the data set.",0
  db 0
deft10:
  db "Categorical Data",0
  db "A set of data is said to be",0
  db "categorical if the values",0
  db "or observations belonging",0
  db "to it can be sorted",0
  db "according to category. Each",0
  db "value is chosen from a set",0
  db "of non-overlapping",0
  db "categories. For example,",0
  db "Categorical Data",0
  db "shoes in a cupboard can be",0
  db "sorted according to colour.",0
  db "Every value",0
  db "should belong to one and",0
  db "only one category, and",0
  db "there should be no doubt as",0
  db "to which one.",0
  db 0
part2:  
  cp 21  
  jp P,part3
  cp 21
  jp z,part3
  cp 11
  jp z,def11
  cp 12
  jp z,def12
  cp 13
  jp z,def13
  cp 14
  jp z,def14
  cp 15
  jp z,def15
  cp 16
  jp z,def16
  cp 17
  jp z,def17
  cp 18
  jp z,def18
  cp 19
  jp z,def19
  cp 20
  jp z,def20
def11:
  ld a,4
  ld (promptRow),a
  ld HL,deft11
  jp pgprimr
def12:
  ld a,1
  ld (promptRow),a
  ld HL,deft12
  jp pgprimr
def13:
  ld a,4
  ld (promptRow),a
  ld HL,deft13
  jp pgprimr
def14:
  ld a,5
  ld (promptRow),a
  ld HL,deft14
  jp pgprimr
def15:
  ld a,3
  ld (promptRow),a
  ld HL,deft15
  jp pgprimr
def16:
  ld a,3
  ld (promptRow),a
  ld HL,deft16
  jp pgprimr
def17:
  ld a,1
  ld (promptRow),a
  ld HL,deft17
  jp pgprimr
def18:
  ld a,1
  ld (promptRow),a
  ld HL,deft18
  jp pgprimr
def19:
  ld a,3
  ld (promptRow),a
  ld HL,deft19
  jp pgprimr
def20:
  ld a,6
  ld (promptRow),a
  ld HL,deft20
  jp pgprimr
deft11:
  db "Central Limit Theorem",0
  db "The Central Limit Theorem",0
  db "states that whenever a",0
  db "random sample of size n is",0
  db "taken from any distribution",0
  db "with mean ",Smu,"and variance",0
  db Ssigma,Ssquare,", then the sample mean",SxMean,0
  db "will be approximately",0
  db "normally distributed with",0
  db "Central Limit Theorem",0
  db "mean and variance ",Ssigma,Ssquare,"/n.",0
  db "The larger the value of",0
  db "the sample size n, the",0
  db "better the approximation to",0
  db "the normal.",0
  db "This is very useful when it",0
  db "comes to inference. For",0
  db "example, it allows us (if",0
  db "Central Limit Theorem",0
  db "the sample size is fairly",0
  db "large) to use hypothesis",0
  db "tests which assume",0
  db "normality even if our data",0
  db "appear non-normal. This is",0
  db "because the tests use the",0
  db "sample mean ",SxMean,", which the",0
  db "Central Limit Theorem tells",0
  db "Central Limit Theorem",0
  db "us will be approximately",0
  db "normally distributed.",0
  db 0
  db 0
  db 0
  db 0
  db 0
  db 0
deft12:
  db Schi,Ssquare,"Goodness Test",0
  db "The ",Schi,Ssquare," Goodness of",0
  db "Fit Test is a test for",0
  db "comparing a theoretical",0
  db "distribution, such as a",0
  db "Normal, Poisson etc, with",0
  db "the observed data from a",0
  db "sample.",0
  db 0
deft13:
  db Schi,Ssquare,"Test of Association",0
  db "The ",Schi,Ssquare,"Test of",0
  db "Association allows the",0
  db "comparison of two",0
  db "attributes in a sample of",0
  db "data to determine if there",0
  db "is any relationship between",0
  db "them.  The idea behind this",0
  db "test is to compare the",0
  db Schi,Ssquare,"Test of Association",0
  db "observed frequencies with",0
  db "the frequencies that would",0
  db "be expected if the null",0
  db "hypothesis of no",0
  db "association / statistical",0
  db "independence were true. By",0
  db "assuming the variables are",0
  db "independent, we can also",0
  db Schi,Ssquare,"Test of Association",0
  db "predict an expected",0
  db "frequency for each cell in",0
  db "the contingency table. If",0
  db "the value of the test",0
  db "statistic for the",Schi,Ssquare,0
  db "test of association is too",0
  db "large, it indicates a poor",0
  db "agreement between",0
  db "Test of Association",0
  db "the observed and expected",0
  db "frequencies and the null",0
  db "hypothesis of independence",0
  db "/ no association is",0
  db "rejected.",0
  db 0
  db 0
  db 0
deft14:
  db Schi,Ssquare,"Test of Homogeneity",0
  db "On occasion it might happen",0
  db "that there are several",0
  db "proportions in a sample of",0
  db "data to be tested",0
  db "simultaneously. An even",0
  db "more complex situation",0
  db "arises when the several",0
  db "populations have all been",0
  db "Test of Homogeneity",0
  db "classified according to the",0
  db "same variable. We generally",0
  db "do not expect an equality",0
  db "of proportions for all the",0
  db "classes of all the",0
  db "populations. We do however,",0
  db "quite often need to test",0
  db "whether the proportions for",0
  db "Test of Homogeneity",0
  db "each class are equal across",0
  db "all populations and whether",0
  db "this is true for each",0
  db "class. If this proves to be",0
  db "the case, we say the",0
  db "populations are homogeneous",0
  db "with respect to the",0
  db "variable of classification.",0
  db "Test of Homogeneity",0
  db "The test used for this",0
  db "purpose is the Chi-Squared",0
  db "Test of Homogeneity, with",0
  db "hypotheses:",0
  db 0
  db 0
  db 0
  db 0
  db "Test of Homogeneity",0
  db "   H0: the populations are",0
  db "homogeneous with respect to",0
  db "the variable of",0
  db "classification, against",0
  db "   H1: the populations are",0
  db "not homogeneous.",0
  db 0
  db 0
deft15:
  db "Cluster Sampling",0
  db "Cluster sampling is a",0
  db "sampling technique where",0
  db "the entire population is",0
  db "divided into groups, or",0
  db "clusters, and a random",0
  db "sample of these clusters",0
  db "are selected. All",0
  db "observations in the",0
  db "Cluster Sampling",0
  db "selected clusters are",0
  db "included in the sample.",0
  db "Cluster sampling is",0
  db "typically used when the",0
  db "researcher cannot get a",0
  db "complete list of the",0
  db "members of a population",0
  db "they wish to study but can",0
  db "Cluster Sampling",0
  db "get a complete list of",0
  db "groups or 'clusters' of the",0
  db "population. It is also used",0
  db "when a random sample would",0
  db "produce a list of subjects",0
  db "so widely scattered that",0
  db "surveying them would prove",0
  db "to be far too expensive.",0
deft16:
  db "Coefficient of Variation",0
  db "The coefficient of",0
  db "variation measures the",0
  db "spread of a set of data as",0
  db "a proportion of its mean.",0
  db "It is often expressed as a",0
  db "percentage.  It is the",0
  db "ratio of the sample",0
  db "standard deviation to the",0
  db "Coefficient of Variation",0
  db "sample mean:",0
  db "         s/",SxMean,0
  db "There is an equivalent",0
  db "definition for the",0
  db "coefficient of variation of",0
  db "a population, which is",0
  db "based on the expected value",0
  db "and the standard deviation",0
  db "Coefficient of Variation",0
  db "of a random variable.",0
  db 0
  db 0
  db 0
  db 0
  db 0
  db 0
  db 0
deft17:
  db "Randomised Design",0
  db "The structure of the",0
  db "experiment in a completely",0
  db "randomised design is",0
  db "assumed to be such that the",0
  db "treatments are allocated to",0
  db "the experimental units",0
  db "completely at random.",0
  db 0
deft18:
  db "Composite Hypothesis",0
  db "A composite hypothesis is a",0
  db "hypothesis which does not",0
  db "specify the population",0
  db "distribution completely.",0
  db 0
  db 0
  db 0
  db 0
deft19:
  db "Conditional Probability",0
  db "The Probability that event",0
  db "A occurs given that event B",0
  db "has occurred.  The usual",0
  db "notation for 'event A",0
  db "occurs given that event B",0
  db "has occurred' is 'A B'",0
  db "(A given B). The symbol ",0
  db "is a vertical line and",0
  db "Conditional Probability",0
  db "does not imply division.",0
  db "P(A B) denotes the",0
  db "probability that event A",0
  db "will occur given that event",0
  db "B has occurred already.",0
  db 0
  db 0
  db 0
  db "Conditional Probability",0
  db "A rule that can be used to",0
  db "determine a conditional",0
  db "probability from",0
  db "unconditional probabilities",0
  db "is:",0
  db "     P(A B)= P(A n B)/P(B)",0
  db 0
  db 0 
deft20:
  db "Confidence Interval",0
  db "A confidence interval gives",0
  db "an estimated range of",0
  db "values which is likely to",0
  db "include an unknown",0
  db "population parameter, the",0
  db "estimated range being",0
  db "calculated from a given set",0
  db "of sample data.  If",0
  db "Confidence Interval",0
  db "independent samples are",0
  db "taken repeatedly from the",0
  db "same population, and a",0
  db "confidence interval",0
  db "calculated for each sample,",0
  db "then a certain percentage",0
  db "(confidence level) of the",0
  db "intervals will include the",0
  db "Confidence Interval",0
  db "unknown population",0
  db "parameter. Confidence",0
  db "intervals are usually",0
  db "calculated so that this",0
  db "percentage is 95, but we",0
  db "can produce 90, 99, 99.9",0
  db "(or whatever) confidence",0
  db "intervals for the unknown",0
  db "Confidence Interval",0
  db "parameter.  The width of",0
  db "the confidence interval",0
  db "gives us some idea about",0
  db "how uncertain we are about",0
  db "the unknown parameter (see",0
  db "precision). A very wide",0
  db "interval may indicate that",0
  db "more data should be",0
  db "Confidence Interval",0
  db "collected before anything",0
  db "very definite can be said",0
  db "about the parameter.",0
  db "Confidence intervals are",0
  db "more informative than the",0
  db "simple results of",0
  db "hypothesis tests (where we",0
  db "decide 'reject H0' or",0
  db "Confidence Interval",0
  db "'don't reject H0') since",0
  db "they provide a range of",0
  db "plausible values for the",0
  db "unknown parameter.",0
  db 0
  db 0
  db 0
  db 0
part3:  
  cp 21
  jp z,def21
  cp 22
  jp z,def22
  cp 23
  jp z,def23
  cp 24
  jp z,def24
  cp 25
  jp z,def25
  cp 26
  jp z,def26
  cp 27
  jp z,def27
  cp 28
  jp z,def28
  cp 29
  jp z,def29
  cp 30
  jp z,def30
def21:
  ld a,4
  ld (promptRow),a
  ld HL,deft21
  jp pgprimr
def22:
  ld a,1
  ld (promptRow),a
  ld HL,deft22
  jp pgprimr
def23:
  ld a,2
  ld (promptRow),a
  ld HL,deft23
  jp pgprimr
def24:
  ld a,4
  ld (promptRow),a
  ld HL,deft24
  jp pgprimr
def25:
  ld a,1
  ld (promptRow),a
  ld HL,deft25
  jp pgprimr
def26:
  ld a,1
  ld (promptRow),a
  ld HL,deft26
  jp pgprimr
def27:
  ld a,4
  ld (promptRow),a
  ld HL,deft27
  jp pgprimr
def28:
  ld a,2
  ld (promptRow),a
  ld HL,deft28
  jp pgprimr
def29:
  ld a,2
  ld (promptRow),a
  ld HL,deft29
  jp pgprimr
def30:
  ld a,1
  ld (promptRow),a
  ld HL,deft30
  jp pgprimr
deft21:
  db "Confidence Int.for...",0
  db "A confidence interval for a",0
  db "stat specifies a range of",0
  db "values within which the",0
  db "unknown population",0
  db "parameter may lie.",0
  db "The (two",0
  db "sided) confidence interval",0
  db "for a mean contains all the",0
  db "Confidence Int.for...",0
  db "values of ",Smu,"0 (the true",0
  db "population mean) which",0
  db "would not be rejected in",0
  db "the two-sided hypothesis",0
  db "test of:",0
  db "        H0: ",Smu,"= ",Smu,"0",0
  db "Against",0
  db "        H1: ",Smu," ",SNE," ",Smu,"0",0
  db "Confidence Int.for...",0
  db "We calculate these",0
  db "intervals for different",0
  db "confidence levels,",0
  db "depending on how precise we",0
  db "want to be. We interpret an",0
  db "interval calculated at a",0
  db "95",Spercent," level as, we are 95 ",Spercent,0
  db "confident that the interval",0
  db "Confidence Int.for...",0
  db "contains the true",0
  db "population mean.",0
  db "The same can be done",0
  db "with proportions,",0
  db ScapDelta," p and ",ScapDelta,Smu,0
  db 0
  db 0
  db 0
deft22:
  db "Confidence Level",0
  db "The confidence level is the",0
  db "probability value (1-a)",0
  db "associated with a",0
  db "confidence interval.  It is",0
  db "often expressed as a",0
  db "percentage.",0
  db 0
  db 0
deft23:
  db "Confidence Limits",0
  db "Confidence limits are the",0
  db "lower and upper boundaries",0
  db "/ values of a confidence",0
  db "interval, that is, the",0
  db "values which define the",0
  db "range of a confidence",0
  db "interval.  The upper and",0
  db "lower bounds of a",0
  db "Confidence Limits",0
  db "95 confidence"
  db "interval are the",0
  db "95 confidence",0
  db "limits.",0
  db 0
  db 0
  db 0
  db 0
deft24:
  db "Contingency Table",0
  db "A contingency table is a",0
  db "way of summarising the",0
  db "relationship between",0
  db "variables, each of which",0
  db "can take only a small",0
  db "number of values. It is a",0
  db "table of frequencies",0
  db "classified according to the",0
  db "Contingency Table",0
  db "values of the variables in",0
  db "question.  When a",0
  db "population is classified",0
  db "according to two variables",0
  db "it is said to have been",0
  db "'cross-classified' or",0
  db "subjected to a two-way",0
  db "classification. Higher",0
  db "Contingency Table",0
  db "classifications are also",0
  db "possible.  A contingency",0
  db "table is used to summarise",0
  db "categorical data. It may be",0
  db "enhanced by including the",0
  db "percentages that fall into",0
  db "each category.  What you",0
  db "find in the rows of a",0
  db "Contingency Table",0
  db "contingency table is",0
  db "contingent upon (dependent",0
  db "upon) what you find in the",0
  db "columns.",0
  db 0
  db 0
  db 0
  db 0
deft25:
  db "Continuous Data",0
  db "A set of data is said to be",0
  db "continuous if the values /",0
  db "observations belonging to",0
  db "it may take on any value",0
  db "within a finite or infinite",0
  db "interval. You can count,",0
  db "order and measure",0
  db "continuous data.",0
deft26:
  db "Continuous Random Var",0
  db "A continuous random",0
  db "variable is one which takes",0
  db "an infinite number of",0
  db "possible values. Continuous",0
  db "random variables are",0
  db "usually measurements.",0
  db 0
  db 0
deft27:
  db "Correlation Coefficient",0
  db "A correlation coefficient",0
  db "is a number between -1 and",0
  db "1 which measures the degree",0
  db "to which two variables are",0
  db "linearly related. If there",0
  db "is perfect linear",0
  db "relationship with positive",0
  db "slope between the two",0
  db "Correlation Coefficient",0
  db "variables, we have a",0
  db "correlation coefficient of",0
  db "1, if there is positive",0
  db "correlation, whenever one",0
  db "variable has a high (low)",0
  db "value, so does the other.",0
  db "If there is a perfect",0
  db "linear relationship with",0
  db "Correlation Coefficient",0
  db "negative slope between the",0
  db "two variables, we have a",0
  db "correlation coefficient of",0
  db "-1, if there is negative",0
  db "correlation, whenever one",0
  db "variable has a high (low)",0
  db "value, the other has a low",0
  db "(high) value. A correlation",0
  db "Correlation Coefficient",0
  db "coefficient of 0 means that",0
  db "there is no linear",0
  db "relationship between the",0
  db "variables. There are a",0
  db "number of different",0
  db "correlation coefficients",0
  db "that might be appropriate",0
  db "depending on the vars.",0
deft28:
  db "Critical Region",0
  db "The critical region CR, or",0
  db "rejection region RR, is a",0
  db "set of values of the test",0
  db "statistic for which the",0
  db "null hypothesis is rejected",0
  db "in a hypothesis test. That",0
  db "is, the sample space for",0
  db "the test statistic is",0
  db "Critical Region",0
  db "partitioned into two",0
  db "regions, one region (the",0
  db "critical region) will lead",0
  db "us to reject the null",0
  db "hypothesis H0, the other",0
  db "will not.",0
  db 0
  db 0
deft29:
  db "Critical Value(s)",0
  db "The critical value(s) for a",0
  db "hypothesis test is a",0
  db "threshold to which the",0
  db "value of the test statistic",0
  db "in a sample is compared to",0
  db "determine whether or not",0
  db "the null hypothesis is",0
  db "rejected.  The critical",0
  db "Critical Value(s)",0
  db "value for any hypothesis",0
  db "test depends on the",0
  db "significance level at which",0
  db "the test is carried out,",0
  db "and whether the test is",0
  db "one-sided or two-sided.",0
  db 0
  db 0
deft30:
  db "Differencing",0
  db "Differencing is a popular",0
  db "and effective method of",0
  db "removing trend from a time",0
  db "series. This provides a",0
  db "clearer view of the true",0
  db "underlying behaviour of the",0
  db "series.",0
  db 0

pgprimr:               ;For displaying definitions after 'turning' a page
  ld a,(promptCol)
  ld (curRow),a
;======================================================
;loop for finding the correct page for the definition
;======================================================
findapg:
  ld a,(curRow)
  cp 1
  jp z,defdisp
  ld a,-7
pgloop:
  add a,7
  PUSH AF
  PUSH DE
  PUSH IX
VPutS91:
  LD A,(HL)
  INC HL
  OR A
  JR Z, VputS92
  JR NC, VPutS91
VputS92:
  POP IX
  POP DE
  POP AF
  cp 56
  jp nz,pgloop
  ld a,(curRow)
  add a,-1
  ld (curRow),a
  jr findapg
;=========================================================
;Loop for displaying a definition after the page is found  
;=========================================================
defdisp:
  ld b,0
  ld a,-7
disp2:
  add a,7
  ld (penRow),a
  ld b,a
  ld a,0
  ld (penCol),a
  ld a,b
  PUSH AF
  PUSH DE
  PUSH IX
VPutS1:
  LD A,(HL)
  INC HL
  OR A
  JR Z, VputS2
  B_CALL VPutMap
  JR NC, VPutS1
VputS2:
  POP IX
  POP DE
  POP AF
  cp 56
  jp nz,disp2
  ld a,0
  ld (penRow),a
  ld a,74
  ld (penCol),a
  ld a,(promptCol)
  add a,80h
  B_CALL VPutMap
  ld a,79
  ld (penCol),a
  ld a,'/'
  B_CALL VPutMap
  ld a,83
  ld (penCol),a
  ld a,(promptRow)
  add a,80h
  B_CALL VPutMap
  push de
  push hl
  ld h,0
  ld l,0
  ld d,6
  ld e,88
  B_CALL InvertRect
  pop hl
  pop de
  jp txtnput
;==================================================
txtnput:
  B_CALL GetKey
  cp kEnter
  jp z,finish  
  cp kDown
  jp z,downdef
  cp kUp
  jp z,updef
  jp txtnput
;===================================================
downdef:
  B_CALL ClrLCDFull
  ld a,(promptRow)
  ld b,a
  ld a,(promptCol)
  cp b
  jr z,drespg
  add a,1
  ld (promptCol),a
  jp defenitionpg1

updef
  B_CALL ClrLCDFull
  ld a,(promptCol)
  cp 1
  jr z,urespg
  add a,-1
  ld (promptCol),a
  jp defenitionpg1
    
urespg:
  ld a,(promptRow)
  ld (promptCol),a
  jp defenitionpg1

drespg:
  ld a,1
  ld (promptCol),a
  jp defenitionpg1
    
finish:
  B_CALL ClrLCDFull
  ret
